//============================================================================
// AdjustFrontViewBattleBack.js
//============================================================================
/*:
 * @plugindesc Change Trimming style of battleback Image on Front View Battle
 * @author Sasuke KANNAZUKI
 *
 * @help
 * This plugin does not provide plugin commands.
 *
 * [Summary]
 * At default, trim floor of the battleback image at front view battle.
 * This plugin changes trimming position from floor to the ceil.
 *
 * This is the same as the default style as the side view battle.
 *
 * [License]
 * this plugin is released under MIT license.
 * http://opensource.org/licenses/mit-license.php
 */

/*:ja
 * @plugindesc フロントビュー戦闘で戦闘背景の下部分をトリミングするようにします
 * @author 神無月サスケ
 *
 * @help
 * このプラグインには、プラグインコマンドはありません。
 *
 * ■概要
 * デフォルトでは、戦闘背景はフロントビュー戦闘では画像の上部分が、
 * サイドビュー戦闘では画像の下部分がトリミングされるようになっています。
 * このプラグインは、フロントビュー戦闘を選択していても
 * 戦闘背景画像の下部分がトリミングされるようにします。
 *
 * ■ライセンス表記
 * このプラグインは MIT ライセンスで配布されます。
 * ご自由にお使いください。
 * http://opensource.org/licenses/mit-license.php
 */

(function() {

  var _Spriteset_Battle_locateBattleback =
	Spriteset_Battle.prototype.locateBattleback;
  Spriteset_Battle.prototype.locateBattleback = function() {
	_Spriteset_Battle_locateBattleback.call(this);
	if (!$gameSystem.isSideView()) {
      var width = this._battleField.width;
      var height = this._battleField.height;
      var sprite1 = this._back1Sprite;
      var sprite2 = this._back2Sprite;
      sprite1.origin.y = sprite1.x + sprite1.bitmap.height - height;
      sprite2.origin.y = sprite1.y + sprite2.bitmap.height - height;
	}
  };

})();
